import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ExportVectorEnrichmentJobInput,
  ExportVectorEnrichmentJobOutput,
} from "../models/models_0";
import {
  SageMakerGeospatialClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerGeospatialClient";
export { __MetadataBearer, $Command };
export interface ExportVectorEnrichmentJobCommandInput
  extends ExportVectorEnrichmentJobInput {}
export interface ExportVectorEnrichmentJobCommandOutput
  extends ExportVectorEnrichmentJobOutput,
    __MetadataBearer {}
export declare class ExportVectorEnrichmentJobCommand extends $Command<
  ExportVectorEnrichmentJobCommandInput,
  ExportVectorEnrichmentJobCommandOutput,
  SageMakerGeospatialClientResolvedConfig
> {
  readonly input: ExportVectorEnrichmentJobCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ExportVectorEnrichmentJobCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: SageMakerGeospatialClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ExportVectorEnrichmentJobCommandInput,
    ExportVectorEnrichmentJobCommandOutput
  >;
  private serialize;
  private deserialize;
}
